Skip to main content
GET
/
issuances
/
{id}
Issuance
curl --request GET \
  --url https://api.sandbox.isometric.com/registry/v0/issuances/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/issuances/{id}"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/registry/v0/issuances/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "buffer_pool_credit_batch_size_total": {
    "credit_kgs": 123,
    "credits": 123
  },
  "credit_batch_size_total": {
    "credit_kgs": 123,
    "credits": 123
  },
  "id": "iss_1EWT8R5FY1S0GFCY",
  "issued_at": "2023-11-07T05:31:56Z",
  "project_id": "prj_1CTWZQGKE1S0VAXA",
  "reporting_period_end_at": "2023-12-25",
  "reporting_period_start_at": "2023-12-25",
  "supplier": {
    "id": "spl_1CC712KFS1S0YKPS",
    "location": {
      "country_code": "<string>",
      "country_name": "<string>",
      "latitude": 0,
      "longitude": 0,
      "description": "<string>"
    },
    "long_description": "<string>",
    "organisation": {
      "domain": "isometric.com",
      "id": "org_1GB56M1ST1S0GVNA",
      "name": "<string>"
    },
    "short_description": "<string>"
  },
  "supplier_credit_batch_size_total": {
    "credit_kgs": 123,
    "credits": 123
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"iss_1EWT8R5FY1S0GFCY"

"iss_1CSVDDHH3SBXRP6K"

Response

Successful Response

buffer_pool_credit_batch_size_total
CreditQuantity · object
required
credit_batch_size_total
CreditQuantity · object
required
id
string
required
Required string length: 20 - 37
Examples:

"iss_1EWT8R5FY1S0GFCY"

"iss_1CSVDDHH3SBXRP6K"

issued_at
string<date-time>
required
project_id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

reporting_period_end_at
string<date>
required

End date of the reporting period (inclusive)

reporting_period_start_at
string<date>
required

Start date of the reporting period (inclusive)

supplier
Supplier · object
required
supplier_credit_batch_size_total
CreditQuantity · object
required